.loginbody {
    height: 100vh;
    margin: 0;
    display: flex;
    align-items: center;
    justify-content: center;
    font-family: 'Public Sans', sans-serif;
}

.auth-container {
    background: #ffffff;
    border-radius: 30px;
    overflow: hidden;
    box-shadow: 0 20px 60px rgba(0, 0, 0, 0.2);
    width: 90%;
    max-width: 1000px;
    min-height: 600px;
    display: flex;
}

.auth-illustration {
    flex: 1.2;
    background-color: #f8f7ff;
    display: flex;
    align-items: center;
    justify-content: center;
    padding: 40px;
}

.auth-illustration img {
    max-width: 100%;
    height: auto;
}

.auth-form-section {
    flex: 1;
    padding: 60px;
    display: flex;
    flex-direction: column;
    justify-content: center;
}

.welcome-text h2 {
    font-weight: 700;
    color: #333;
    margin-bottom: 5px;
}

.welcome-text p {
    color: #888;
    margin-bottom: 30px;
}

.form-control {
    border: none;
    border-bottom: 2px solid #f0f0f0;
    border-radius: 0;
    padding: 12px 0;
    margin-bottom: 20px;
    transition: border-color 0.3s;
}

.form-control:focus {
    box-shadow: none;
    border-color: 2px solid #f0f0f0;;
}

.btn-login {
    background-color: #1b1b1b;
    color: white;
    border: none;
    border-radius: 8px;
    padding: 12px;
    font-weight: 600;
    margin-top: 10px;
    box-shadow: 0 4px 15px rgba(105, 108, 255, 0.3);
}

.btn-login:hover {
    background-color: #1b1b1b;
    color: #fff;
}

.extra-links {
    display: flex;
    justify-content: space-between;
    font-size: 13px;
    margin-bottom: 25px;
}

.app-buttons {
    display: flex;
    gap: 10px;
    margin-top: 30px;
}

.app-btn {
    background: #000;
    color: white;
    padding: 8px 15px;
    border-radius: 5px;
    display: flex;
    align-items: center;
    font-size: 12px;
    text-decoration: none;
}

@media (max-width: 900px) {
    .auth-illustration {
        display: none;
    }

    .auth-container {
        max-width: 450px;
    }
}
